- hosts: localhost
  tasks:
  - name: Run user creation script and fail now
    shell: files/create_users.sh
    register: command_result
    failed_when: "'Password missing' in command_result.stdout"
    tags:
      - fail_now

  - name: Run user creation script and fail later
    shell: files/create_users.sh
    register: command_result2
    ignore_errors: yes
    tags:
      - fail_later

  - name: Report script failure
    fail:
      msg: "The password is missing in the output"
    when: "'Password missing' in command_result2.stdout"
    tags:
      - fail_later
